*****************
**Reddemable Platform Currency
**Yang You
**Feb 10th, 2022
**Prepared for Review of Economic Studies
*****************

*****************
**Figure 2
*****************
clear all 
set more off 
set obs 21
local m=10
local p=0.5
local end=`m'+20
gen period=.
gen pdfn=.
local j=1
forvalues i=`m'/`end'{
local temp1=`i'-1
local tmep2=`m'-1
replace period=`i' in `j'
replace pdfn=comb(`temp1',`m'-1)*(`p'^`m')*((1-`p')^(`i'-`m')) in `j'
local j=`j'+1
}

gen pdft=.
local j=1
local newend=int((`m'-1)/`p')

forvalues i=`m'/`newend'{
replace pdft=0 in `j'
local j=`j'+1
}
local start=int((`m'-1)/`p')+1

forvalues i=`start'/`end'{
replace pdft=(`p')*((1-`p')^(`i'-`start')) in `j'
local j=`j'+1
}
set obs 22
replace period=19 in 22
replace pdfn=.09273529 in 22
replace pdft=0 in 22 
sort period 
replace pdfn=pdfn*100
replace pdft=pdft*100

twoway line pdfn period, lpattern(dash) lcolor(gs0)  || line pdft period, lcolor(gs0) graphregion(color(white)) legend(label(1 "Non-tradable tokens") label (2 "Tradable tokens")) xtitle("Period of last token spent (M=10, p=0.5)") ytitle("Probability (%)")
graph export "pdf_plot.pdf",replace 


*****************
**Figure A.1
*****************
local p=0.9
twoway function y=(x*`p')/(1-x*(1-`p'))-x^(1/`p'), graphregion(color(white)) ylabel(0 0.005 0.01 0.015) xtitle("Beta") ytitle("Function Value")
* The x and y legends are relabeled in Powerpoint in the paper.
graph export "fig_prop1.pdf",replace    

*****************
**Figure B.2
*****************
local a1=0.05
forvalues i=2/10{
local a`i'=0.1*(`i'-1)
}
twoway function y=(log(x-`a1')-log(exp(2/((1/log(`a1'))+(1/log(x))))-`a1'))/(log(1+0.5*((1-x)*`a1')/((1-`a1')*x))) ||  function y=(log(x-`a2')-log(exp(2/((1/log(`a2'))+(1/log(x))))-`a2'))/(log(1+0.5*((1-x)*`a2')/((1-`a2')*x)))  || function y=(log(x-`a3')-log(exp(2/((1/log(`a3'))+(1/log(x))))-`a3'))/(log(1+0.5*((1-x)*`a3')/((1-`a3')*x)))  || function y=(log(x-`a4')-log(exp(2/((1/log(`a4'))+(1/log(x))))-`a4'))/(log(1+0.5*((1-x)*`a4')/((1-`a4')*x))) ||  function y=(log(x-`a5')-log(exp(2/((1/log(`a5'))+(1/log(x))))-`a5'))/(log(1+0.5*((1-x)*`a5')/((1-`a5')*x)))  || function y=(log(x-`a6')-log(exp(2/((1/log(`a6'))+(1/log(x))))-`a6'))/(log(1+0.5*((1-x)*`a6')/((1-`a6')*x)))   || function y=(log(x-`a7')-log(exp(2/((1/log(`a7'))+(1/log(x))))-`a7'))/(log(1+0.5*((1-x)*`a7')/((1-`a7')*x)))  || function y=(log(x-`a8')-log(exp(2/((1/log(`a8'))+(1/log(x))))-`a8'))/(log(1+0.5*((1-x)*`a8')/((1-`a8')*x)))  || function y=(log(x-`a9')-log(exp(2/((1/log(`a9'))+(1/log(x))))-`a9'))/(log(1+0.5*((1-x)*`a9')/((1-`a9')*x))), legend(label(1 "x=0.05") label(2 "x=0.1") label(3 "x=0.2") label(3 "x=0.3") label(4 "x=0.4") label(5 "x=0.5") label(6 "x=0.6") label(7 "x=0.7") label(8 "x=0.8") label(9 "x=0.9") label(10 "x=0.99") row(2)) graphregion(color(white)) xtitle("y") ytitle("Function value")
graph export "appendixB2.pdf",replace

*****************
**Figure B.4
*****************
local a1=0.05
forvalues i=2/10{
local a`i'=0.1*(`i'-1)
}
twoway function y=[log(1-0.5*((1-`a1')/`a1')*(x/(1-x)))*(log(`a1'-x)-log(exp(2/(1/log(`a1')+1/log(x)))-x))]- [log(`a1'*(1-((1-`a1')/`a1')*(x/(1-x))))*log(1+0.5*((1-`a1')/`a1')*(x/(1-x)))],range(0 `a1') yline(0, lpattern(dash)) || function y=[log(1-0.5*((1-`a2')/`a2')*(x/(1-x)))*(log(`a2'-x)-log(exp(2/(1/log(`a2')+1/log(x)))-x))]-[log(`a2'*(1-((1-`a2')/`a2')*(x/(1-x))))*log(1+0.5*((1-`a2')/`a2')*(x/(1-x)))],range(0 `a2')  || function y=[log(1-0.5*((1-`a3')/`a3')*(x/(1-x)))*(log(`a3'-x)-log(exp(2/(1/log(`a3')+1/log(x)))-x))]-[log(`a3'*(1-((1-`a3')/`a3')*(x/(1-x))))*log(1+0.5*((1-`a3')/`a3')*(x/(1-x)))],range(0 `a3')  || function y=[log(1-0.5*((1-`a4')/`a4')*(x/(1-x)))*(log(`a4'-x)-log(exp(2/(1/log(`a4')+1/log(x)))-x))]-[log(`a4'*(1-((1-`a4')/`a4')*(x/(1-x))))*log(1+0.5*((1-`a4')/`a4')*(x/(1-x)))],range(0 `a4')  || function y=[log(1-0.5*((1-`a5')/`a5')*(x/(1-x)))*(log(`a5'-x)-log(exp(2/(1/log(`a5')+1/log(x)))-x))]-[log(`a5'*(1-((1-`a5')/`a5')*(x/(1-x))))*log(1+0.5*((1-`a5')/`a5')*(x/(1-x)))],range(0 `a5')  || function y=[log(1-0.5*((1-`a6')/`a6')*(x/(1-x)))*(log(`a6'-x)-log(exp(2/(1/log(`a6')+1/log(x)))-x))]-[log(`a6'*(1-((1-`a6')/`a6')*(x/(1-x))))*log(1+0.5*((1-`a6')/`a6')*(x/(1-x)))],range(0 `a6')  || function y=[log(1-0.5*((1-`a7')/`a7')*(x/(1-x)))*(log(`a7'-x)-log(exp(2/(1/log(`a7')+1/log(x)))-x))]-[log(`a7'*(1-((1-`a7')/`a7')*(x/(1-x))))*log(1+0.5*((1-`a7')/`a7')*(x/(1-x)))],range(0 `a7')  || function y=[log(1-0.5*((1-`a8')/`a8')*(x/(1-x)))*(log(`a8'-x)-log(exp(2/(1/log(`a8')+1/log(x)))-x))]-[log(`a8'*(1-((1-`a8')/`a8')*(x/(1-x))))*log(1+0.5*((1-`a8')/`a8')*(x/(1-x)))],range(0 `a8') || function y=[log(1-0.5*((1-`a9')/`a9')*(x/(1-x)))*(log(`a9'-x)-log(exp(2/(1/log(`a9')+1/log(x)))-x))]-[log(`a9'*(1-((1-`a9')/`a9')*(x/(1-x))))*log(1+0.5*((1-`a9')/`a9')*(x/(1-x)))],range(0 `a9') , legend(label(1 "x=0.05") label(2 "x=0.1") label(3 "x=0.2") label(3 "x=0.3") label(4 "x=0.4") label(5 "x=0.5") label(6 "x=0.6") label(7 "x=0.7") label(8 "x=0.8") label(9 "x=0.9") label(10 "x=0.99") row(2)) graphregion(color(white)) xtitle("y") ytitle("Function value")
graph export "appendixB4.pdf",replace 

